Docs / API: Service
Status history
Returns stored health samples per chain, one every 5 minutes, kept for 30 days.
GET/api/v1/status/history
| Property | Value |
|---|---|
| Authentication | Optional. A key raises your limit. |
| Rate-limit cost | 1 unit |
| Status | Live |
#Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
hours | query | integer | No | Hours to return, from 1 to 720. Default 24. |
#Request
curl -s "https://farbeamlabs.com/api/v1/status/history?hours=6"const res = await fetch("https://farbeamlabs.com/api/v1/status/history?hours=6");
const { data, meta, error } = await res.json();
if (error) throw new Error(`${error.code}: ${error.message}`);
console.log(data);import os, requests
res = requests.get(
"https://farbeamlabs.com/api/v1/status/history?hours=6",
timeout=30,
)
body = res.json()
if "error" in body:
raise RuntimeError(body["error"]["code"])
print(body["data"])You can send this request now in the API playground.
#Response
This response is real. It was captured from the running API when this page was built. Arrays are cut to two items.
JSON
{
"data": {
"hours": 1,
"interval_minutes": 5,
"chains": {
"arbitrum": [
{
"ts": "2026-11-04T19:15:00.000Z",
"state": "ok",
"lag_seconds": 1.187,
"latency_ms": 333
},
{
"ts": "2026-11-04T19:20:00.000Z",
"state": "ok",
"lag_seconds": 0.974,
"latency_ms": 254
}
],
"base": [
{
"ts": "2026-11-04T19:15:00.000Z",
"state": "ok",
"lag_seconds": 1.507,
"latency_ms": 222
},
{
"ts": "2026-11-04T19:20:00.000Z",
"state": "ok",
"lag_seconds": 0.497,
"latency_ms": 265
}
],
"bnb": [
{
"ts": "2026-11-04T19:15:00.000Z",
"state": "ok",
"lag_seconds": 0.691,
"latency_ms": 207
},
{
"ts": "2026-11-04T19:20:00.000Z",
"state": "ok",
"lag_seconds": 0.973,
"latency_ms": 305
}
],
"ethereum": [
{
"ts": "2026-11-04T19:15:00.000Z",
"state": "ok",
"lag_seconds": 13.369,
"latency_ms": 279
},
{
"ts": "2026-11-04T19:20:00.000Z",
"state": "ok",
"lag_seconds": 7.023,
"latency_ms": 479
}
],
"optimism": [
{
"ts": "2026-11-04T19:15:00.000Z",
"state": "ok",
"lag_seconds": 1.212,
"latency_ms": 284
},
{
"ts": "2026-11-04T19:20:00.000Z",
"state": "ok",
"lag_seconds": 1.596,
"latency_ms": 197
}
],
"polygon": [
{
"ts": "2026-11-04T19:15:00.000Z",
"state": "ok",
"lag_seconds": 0.769,
"latency_ms": 248
},
{
"ts": "2026-11-04T19:20:00.000Z",
"state": "ok",
"lag_seconds": 0,
"latency_ms": 213
}
],
"solana": [
{
"ts": "2026-11-04T19:15:00.000Z",
"state": "ok",
"lag_seconds": 2.39,
"latency_ms": 358
},
{
"ts": "2026-11-04T19:20:00.000Z",
"state": "ok",
"lag_seconds": 2.626,
"latency_ms": 385
}
]
}
},
"meta": {
"request_id": "req_1447dc2d3cc5",
"as_of": "2026-11-04T20:10:50.213Z"
}
}